Skip to content
Developer

Self Sign Up

Login and sessions2 EndpointsLogin / Self Sign Up

Starts a new self sign up process. Returns a token and required fields.

GET/api/cp/signup/start

Responses

200Starts a new self sign up process. Returns a token and required fields.SelfSignUpLog

Show fields (53)
  • idinteger

    Primary key of the sign-up log entry. Internal ID.

  • tokenstring

    Token that identifies the sign-up.

  • public_session_tokenstring

    Token of the public session the sign-up was made in.

  • invite_codeSelfSignUpLogInviteCode2

    Invite code used for the sign-up.

    Show fields (8)
    • idinteger

      Primary key of the invite code. Internal ID.

    • tokenstring

      Token of the invite code.

    • log_book_entry_content_typestring

      Content type of the log book entry created by the invite code.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • person_first_namestring

    First name entered in the sign-up.

  • person_last_namestring

    Last name entered in the sign-up.

  • person_emailstring

    E-mail address entered in the sign-up.

  • person_phonestring

    Phone number entered in the sign-up.

  • company_namestring

    Company name entered in the sign-up.

  • company_emailstring

    Company e-mail address entered in the sign-up.

  • company_phonestring

    Company phone number entered in the sign-up.

  • company_addressstring

    Address of the company, as text.

  • company_address_street_levelstring

    Street and house number of the company address.

  • company_address_costring

    Care-of line of the company address.

  • company_address_citystring

    City of the company address.

  • company_address_zipstring

    Postal code of the company address.

  • company_address_countrystring

    Country of the company address.

  • person_addressstring

    Address of the person, as text.

  • person_address_street_levelstring

    Street and house number of the person address.

  • person_address_costring

    Care-of line of the person address.

  • person_address_citystring

    City of the person address.

  • person_address_zipstring

    Postal code of the person address.

  • person_address_countrystring

    Country of the person address.

  • person_birthdaystring (date-time)

    Birthday entered in the sign-up.

  • person_genderstring

    Gender entered in the sign-up.

  • person_grade_levelinteger

    Grade level entered in the sign-up.

  • person_school_classstring

    School class entered in the sign-up.

  • person_categorystring

    Person category entered in the sign-up.

  • ticket_ticket_typestring

    Ticket type created by the sign-up.

  • ticket_issuetypestring

    A type like bug, task, story

  • ticket_issue_categorystring

    A category like website, hosting, marketing

  • require_sepaboolean

    Whether a SEPA mandate is required.

  • require_addressboolean

    Whether an address is required.

  • require_company_namestring

    Whether a company name is required.

  • require_person_addressboolean

    Whether a person address is required.

  • require_person_birthdayboolean

    Whether a birthday is required.

  • require_person_genderboolean

    Whether a gender is required.

  • require_person_phonestring

    Whether a phone number is required.

  • require_ticketboolean

    Whether a ticket is required.

  • additional_peoplearray<SelfSignUpLogAdditionalPerson>

    Additional people registered in the same sign-up.

    Show fields (22)
    • idinteger

      Primary key of the additional person. Internal ID.

    • person_first_namestring

      First name of the additional person.

    • person_last_namestring

      Last name of the additional person.

    • person_emailstring

      E-mail address of the additional person.

    • person_phonestring

      Phone number of the additional person.

    • person_addressstring

      Address of the additional person, as text.

    • person_address_street_levelstring

      Street and house number of the additional person's address.

    • person_address_costring

      Care-of line of the additional person's address.

    • person_address_citystring

      City of the additional person's address.

    • person_address_zipstring

      Postal code of the additional person's address.

    • person_address_countrystring

      Country of the additional person's address.

    • person_birthdaystring (date-time)

      Birthday of the additional person.

    • person_genderstring

      Gender of the additional person.

    • person_grade_levelinteger

      Grade level of the additional person.

    • person_school_classstring

      School class of the additional person.

    • person_categorystring

      Category of the additional person.

    • ticket_ticket_typestring

      Ticket type for the additional person's ticket.

    • ticket_issuetypestring

      Issue type for the additional person's ticket.

    • ticket_issue_categorystring

      Issue category for the additional person's ticket.

    • ticket_headlinestring

      Headline of the additional person's ticket.

    • ticket_descriptionstring

      Description of the additional person's ticket.

    • processed_person_idstring

      ID of the person created for the additional person.

  • processed_company_numberstring

    Number of the company created from the sign-up.

  • processed_company_idstring

    ID of the company created from the sign-up.

  • processed_person_idstring

    ID of the person created from the sign-up.

  • processed_user_idstring

    ID of the user created from the sign-up.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/cp/signup/start
Response 200 application/json
{
  "id": 42,
  "person_first_name": "Beispiel",
  "person_last_name": "Beispiel",
  "person_email": "lena.hartmann@example.org",
  "person_phone": "+49 511 123456",
  "company_name": "Beispiel",
  "company_email": "lena.hartmann@example.org",
  "company_phone": "+49 511 123456",
  "company_address_city": "Hannover",
  "company_address_zip": "30163"
}

Finish self sign up process. Requires token from Self Sign Up - Start.

POST/api/cp/signup/finish/{token}

Path parameters

tokenrequiredstring

Request body application/json

  • dataSelfSignUpLog2
    Show fields (35)
    • person_first_namestring

      First name entered in the sign-up.

    • person_last_namestring

      Last name entered in the sign-up.

    • person_emailstring

      E-mail address entered in the sign-up.

    • person_phonestring

      Phone number entered in the sign-up.

    • company_namestring

      Company name entered in the sign-up.

    • company_emailstring

      Company e-mail address entered in the sign-up.

    • company_phonestring

      Company phone number entered in the sign-up.

    • company_addressstring

      Address of the company, as text.

    • company_address_street_levelstring

      Street and house number of the company address.

    • company_address_costring

      Care-of line of the company address.

    • company_address_citystring

      City of the company address.

    • company_address_zipstring

      Postal code of the company address.

    • company_address_countrystring

      Country of the company address.

    • person_addressstring

      Address of the person, as text.

    • person_address_street_levelstring

      Street and house number of the person address.

    • person_address_costring

      Care-of line of the person address.

    • person_address_citystring

      City of the person address.

    • person_address_zipstring

      Postal code of the person address.

    • person_address_countrystring

      Country of the person address.

    • person_birthdaystring (date-time)

      Birthday entered in the sign-up.

    • person_genderstring

      Gender entered in the sign-up.

    • person_grade_levelinteger

      Grade level entered in the sign-up.

    • person_school_classstring

      School class entered in the sign-up.

    • person_categorystring

      Person category entered in the sign-up.

    • ticket_ticket_typestring

      Ticket type created by the sign-up.

    • ticket_issuetypestring

      A type like bug, task, story

    • ticket_issue_categorystring

      A category like website, hosting, marketing

    • additional_peoplearray<SelfSignUpLogAdditionalPerson2>

      Additional people registered in the same sign-up.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

Responses

200Finish self sign up process. Requires token from Self Sign Up - Start.SelfSignUpLog

Show fields (53)
  • idinteger

    Primary key of the sign-up log entry. Internal ID.

  • tokenstring

    Token that identifies the sign-up.

  • public_session_tokenstring

    Token of the public session the sign-up was made in.

  • invite_codeSelfSignUpLogInviteCode2

    Invite code used for the sign-up.

    Show fields (8)
    • idinteger

      Primary key of the invite code. Internal ID.

    • tokenstring

      Token of the invite code.

    • log_book_entry_content_typestring

      Content type of the log book entry created by the invite code.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • person_first_namestring

    First name entered in the sign-up.

  • person_last_namestring

    Last name entered in the sign-up.

  • person_emailstring

    E-mail address entered in the sign-up.

  • person_phonestring

    Phone number entered in the sign-up.

  • company_namestring

    Company name entered in the sign-up.

  • company_emailstring

    Company e-mail address entered in the sign-up.

  • company_phonestring

    Company phone number entered in the sign-up.

  • company_addressstring

    Address of the company, as text.

  • company_address_street_levelstring

    Street and house number of the company address.

  • company_address_costring

    Care-of line of the company address.

  • company_address_citystring

    City of the company address.

  • company_address_zipstring

    Postal code of the company address.

  • company_address_countrystring

    Country of the company address.

  • person_addressstring

    Address of the person, as text.

  • person_address_street_levelstring

    Street and house number of the person address.

  • person_address_costring

    Care-of line of the person address.

  • person_address_citystring

    City of the person address.

  • person_address_zipstring

    Postal code of the person address.

  • person_address_countrystring

    Country of the person address.

  • person_birthdaystring (date-time)

    Birthday entered in the sign-up.

  • person_genderstring

    Gender entered in the sign-up.

  • person_grade_levelinteger

    Grade level entered in the sign-up.

  • person_school_classstring

    School class entered in the sign-up.

  • person_categorystring

    Person category entered in the sign-up.

  • ticket_ticket_typestring

    Ticket type created by the sign-up.

  • ticket_issuetypestring

    A type like bug, task, story

  • ticket_issue_categorystring

    A category like website, hosting, marketing

  • require_sepaboolean

    Whether a SEPA mandate is required.

  • require_addressboolean

    Whether an address is required.

  • require_company_namestring

    Whether a company name is required.

  • require_person_addressboolean

    Whether a person address is required.

  • require_person_birthdayboolean

    Whether a birthday is required.

  • require_person_genderboolean

    Whether a gender is required.

  • require_person_phonestring

    Whether a phone number is required.

  • require_ticketboolean

    Whether a ticket is required.

  • additional_peoplearray<SelfSignUpLogAdditionalPerson>

    Additional people registered in the same sign-up.

    Show fields (22)
    • idinteger

      Primary key of the additional person. Internal ID.

    • person_first_namestring

      First name of the additional person.

    • person_last_namestring

      Last name of the additional person.

    • person_emailstring

      E-mail address of the additional person.

    • person_phonestring

      Phone number of the additional person.

    • person_addressstring

      Address of the additional person, as text.

    • person_address_street_levelstring

      Street and house number of the additional person's address.

    • person_address_costring

      Care-of line of the additional person's address.

    • person_address_citystring

      City of the additional person's address.

    • person_address_zipstring

      Postal code of the additional person's address.

    • person_address_countrystring

      Country of the additional person's address.

    • person_birthdaystring (date-time)

      Birthday of the additional person.

    • person_genderstring

      Gender of the additional person.

    • person_grade_levelinteger

      Grade level of the additional person.

    • person_school_classstring

      School class of the additional person.

    • person_categorystring

      Category of the additional person.

    • ticket_ticket_typestring

      Ticket type for the additional person's ticket.

    • ticket_issuetypestring

      Issue type for the additional person's ticket.

    • ticket_issue_categorystring

      Issue category for the additional person's ticket.

    • ticket_headlinestring

      Headline of the additional person's ticket.

    • ticket_descriptionstring

      Description of the additional person's ticket.

    • processed_person_idstring

      ID of the person created for the additional person.

  • processed_company_numberstring

    Number of the company created from the sign-up.

  • processed_company_idstring

    ID of the company created from the sign-up.

  • processed_person_idstring

    ID of the person created from the sign-up.

  • processed_user_idstring

    ID of the user created from the sign-up.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/cp/signup/finish/42 \
  --header 'content-type: application/json' \
  --data '
{
  "data": {
    "person_first_name": "Beispiel",
    "person_last_name": "Beispiel",
    "person_email": "lena.hartmann@example.org",
    "person_phone": "+49 511 123456",
    "company_name": "Beispiel",
    "company_email": "lena.hartmann@example.org"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "person_first_name": "Beispiel",
  "person_last_name": "Beispiel",
  "person_email": "lena.hartmann@example.org",
  "person_phone": "+49 511 123456",
  "company_name": "Beispiel",
  "company_email": "lena.hartmann@example.org",
  "company_phone": "+49 511 123456",
  "company_address_city": "Hannover",
  "company_address_zip": "30163"
}